1. Orders
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Orders

Add mailboxes to a subscription

Deprecated
POST
/orders/create-mailbox-order
Creates a new order, which can only include mailboxes on already registered domains.
(Only applicable for GOOGLE mailboxes)

Request Body (FormData)#

subscriptionId#

Type: string
Description: The subscriptionId on which domain is assigned.

mailboxes#

Type: object
Description: A mapping of domain names to mailbox details. Each domain can have multiple mailboxes.
Example:
  {
    "onecompanycenter.com": [
      {
        "username": "john",
        "firstName": "john",
        "lastName": "doe"
      }
    ]
  }
Fields:
username (string): The username of the mailbox (e.g., john).
firstName (string): The first name of the mailbox user (e.g., john).
lastName (string): The last name of the mailbox user (e.g., doe).

files#

Type: object
Description: A mapping of mailboxes to files that need to be uploaded. The file should be associated with the specific mailbox. (key is username@domainName, value is the image)
Example:
  {
    "john@onecompanycenter.com": <binary image>
  }
Fields:
key: concatenation of username & domainName with @,
example: john@onecompanycenter.com
file (binary): A file associated with the mailbox (e.g., profile picture). The file is submitted as binary data.

confirm (optional)#

Type: boolean
Description: If true, the order will be created and automatically queued for processing. Your wallet must have sufficient balance to cover the order cost. If false, the order will be created but not processed. To process it later, use the Process Order endpoint.

google#

Type: object
Fields:
googleOauthRoute (string): Google oauth url.
clientId (number): Client id of your platform.
appName (string): Appname that comes after entering client id on google admin console.

autoRenew (optional)#

Type: boolean
Description: Indicates whether order will be auto renewed or not.

Order Processing#

✅ Confirmed Orders (confirm: true)#

When confirm is set to true:
Order will be created and automatically queued for processing
Your wallet must have sufficient balance to cover the order cost
Processing begins immediately after creation

⏸️ Unconfirmed Orders (confirm: false)#

When confirm is set to false:
Order will be created but not processed
To process the order later, use the Process Order endpoint
Useful for reviewing order details before committing

Notes#

Please keep the order ID provided safe with you, it will be required to process the order afterwards.
Ensure all fields are included in the FormData when sending the request.
The files field must be provided as binary image data for the corresponding mailbox.
💰 Wallet Balance: Ensure sufficient balance in your wallet when using confirm: true. Insufficient balance will result in order creation failure.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Body Params multipart/form-data

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://customers.coldmailreseller.com/api/v1/integration/orders/create-mailbox-order?userId' \
--header 'cmr-x-api-key: <api-key>' \
--form 'subscriptionId=""' \
--form 'mailboxes="{\"domain.com\": [{\"username\": \"john\", \"firstName\": \"John\", \"lastName\": \"Doe\"}, {\"username\": \"john.d\", \"firstName\": \"John\", \"lastName\": \"Doe\"}]}"' \
--form 'john@domain.com=@""'

Responses

🟢200Order Created Successfully And Queued For Processing
application/json
Body

Example
{
    "status": 200,
    "message": "Order created and queued for processing, make sure to have enough balance in your wallet!",
    "data": {
        "orderId": "RJK7NR2W194HAGHGTX75D391P3NB"
    }
}
🟢201Order Created Successfully
Modified at 2026-01-22 11:49:39
Previous
Create Order
Next
Get mailboxes for user
Built with